import { defineAsyncComponent } from 'vue';
import {PopupExportComponent} from "$popup/popup-export/const";

export default {
    [PopupExportComponent.login]:defineAsyncComponent(()=> import('$popup/popup-login')),
    [PopupExportComponent.toast]:defineAsyncComponent(()=> import('$popup/popup-toast')),
    [PopupExportComponent.personal]: defineAsyncComponent(()=> import('$popup/popup-personal')),
    [PopupExportComponent.loading]: defineAsyncComponent(()=> import('$popup/popup-loading')),
    [PopupExportComponent.confirm]: defineAsyncComponent(()=> import('$popup/popup-confirm')),
    [PopupExportComponent.realName]:defineAsyncComponent(()=> import('$popup/popup-real-name')),
    [PopupExportComponent.choosingSkill]: defineAsyncComponent(()=> import('$popup/popup-choosing')),
    [PopupExportComponent.settle]: defineAsyncComponent(()=> import('$popup/popup-settle')),
    [PopupExportComponent.detail]: defineAsyncComponent(()=> import('$popup/popup-detail')),
    [PopupExportComponent.order]: defineAsyncComponent(()=> import('$popup/popup-order')),
    [PopupExportComponent.recharge]: defineAsyncComponent(()=> import('$popup/popup-recharge')),
    [PopupExportComponent.message]: defineAsyncComponent(()=> import('$popup/popup-message')),
    [PopupExportComponent.help]: defineAsyncComponent(()=> import('$popup/popup-help')),
    [PopupExportComponent.exchangeCoin]: defineAsyncComponent(()=> import('$popup/popup-exchange-coin')),
    [PopupExportComponent.wxPay]: defineAsyncComponent(()=> import('$popup/popup-wx-pay')),
    [PopupExportComponent.withdrawal]: defineAsyncComponent(()=> import('$popup/popup-withdrawal')),
    [PopupExportComponent.alipay]: defineAsyncComponent(()=> import('$popup/popup-alipay')),
    [PopupExportComponent.chat]: defineAsyncComponent(()=> import('$popup/popup-chat')),
    [PopupExportComponent.giftBubble]: defineAsyncComponent(()=> import('$popup/popup-gift-bubble')),
    [PopupExportComponent.giftIntroduce]: defineAsyncComponent(()=> import('$popup/popup-gift-introduce')),
    [PopupExportComponent.user]: defineAsyncComponent(()=> import('$popup/popup-user')),
    [PopupExportComponent.select]: defineAsyncComponent(()=> import('$popup/popup-select')),
    [PopupExportComponent.password]: defineAsyncComponent(()=> import('$popup/popup-password')),
    [PopupExportComponent.ranking]: defineAsyncComponent(()=> import('$popup/popup-ranking')),
    [PopupExportComponent.report]: defineAsyncComponent(()=> import('$popup/popup-report')),
    [PopupExportComponent.comment]: defineAsyncComponent(()=> import('$popup/popup-comment')),
    [PopupExportComponent.image]: defineAsyncComponent(()=> import('$popup/popup-image'))
}
